net.i2p.router.transport.ntcp

## Class Writer

- java.lang.Object
- - net.i2p.router.transport.ntcp.Writer

     class Writer
    extends Object

Pool of running threads which will transform the next I2NP message into something ready to be transferred over an NTCP connection, including the encryption of the data read.

### Constructor Summary

Constructors
Constructor and Description
`Writer(RouterContext ctx)`

### Method Summary

Methods
`void` `connectionClosed(NTCPConnection con)`
`void` `startWriting(int numWriters)`
`void` `stopWriting()`
`void` `wantsWrite(NTCPConnection con, String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Writer

    public Writer(RouterContext ctx)

### Method Detail

#### startWriting

    public void startWriting(int numWriters)

#### stopWriting

    public void stopWriting()

#### wantsWrite

    public void wantsWrite(NTCPConnection con,
                  String source)

#### connectionClosed

    public void connectionClosed(NTCPConnection con)